## Mai
A privacy friendly frontend to multiple translation engines.

### History
1. SimplyTranslate was founded by [metalune and fattalion](https://codeberg.org/SimpleWeb/SimplyTranslate-Web). It was written in Python.
2. Fattalion created a Go implementation.
3. Both metalune and fattalion retired, and they handed SimplyTranslate over to ManeraKai.
4. [Izuru Yakumo The Violet Hermit](https://geidontei.chaotic.ninja/usr/yakumo_izuru) stole it, and renamed it after [Mai](https://en.touhouwiki.net/wiki/Mai) from [Mystic Square](https://en.touhouwiki.net/wiki/Mystic_Square)

### Installation

```shell
% git clone https://git.chaotic.ninja/yakumo.izuru/mai
% cd mai
% make
# make install
```

### Setup
For [nginx](https://www.nginx.com) you can use this snippet, this also serves the static resources.

```nginx
location / {
    proxy_set_header Host $host;
    proxy_pass http://localhost:5000;
}
```

### Legal notice
Mai does not host any content. All content shown on any Mai/Mozhi/SimplyTranslate instances is from [Google Translate](https://translate.google.com) and [Reverso](https://www.reverso.net/). 

Mai is not affiliated with Google Translate nor Reverso, which this program relays.

Trademarks belong to their respective owners. 
Google Translate is a trademark of [Google LLC](https://www.google.com). Reverso is a trademark of Reverso.

The creators and maintainers of this repository assume no liability for the accuracy and timeliness of any information provided above. Trademark owner information was researched to the best of the author's knowledge at the time of curation and may be outdated or incorrect.

### Other projects
* [Mozhi](https://codeberg.org/aryak/mozhi), also a fork of SimplyTranslate
